summaryrefslogtreecommitdiffstats
path: root/scripts/kconfig/check.sh
diff options
context:
space:
mode:
authorMasahiro Yamada <yamada.m@jp.panasonic.com>2014-07-30 14:08:13 +0900
committerTom Rini <trini@ti.com>2014-07-30 08:47:46 -0400
commit0a9064fb47bb0a239c04b0b63edebfdd3a201fdc (patch)
tree2980ef23db7ad1fdb64f80bd6a284243f48d3c97 /scripts/kconfig/check.sh
parenta98b2378e07fbdb0522173086f265e0b60b53242 (diff)
downloadblackbird-obmc-uboot-0a9064fb47bb0a239c04b0b63edebfdd3a201fdc.tar.gz
blackbird-obmc-uboot-0a9064fb47bb0a239c04b0b63edebfdd3a201fdc.zip
kconfig: import Kconfig files from Linux 3.16-rc7
Import - scripts/kconfig/* - include/linux/kconfig.h from Linux 3.16-rc7. Signed-off-by: Masahiro Yamada <yamada.m@jp.panasonic.com> Reviewed-by: Simon Glass <sjg@chromium.org>
Diffstat (limited to 'scripts/kconfig/check.sh')
-rwxr-xr-xscripts/kconfig/check.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/scripts/kconfig/check.sh b/scripts/kconfig/check.sh
new file mode 100755
index 0000000000..55b79ba1ba
--- /dev/null
+++ b/scripts/kconfig/check.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+# Needed for systems without gettext
+$* -x c -o /dev/null - > /dev/null 2>&1 << EOF
+#include <libintl.h>
+int main()
+{
+ gettext("");
+ return 0;
+}
+EOF
+if [ ! "$?" -eq "0" ]; then
+ echo -DKBUILD_NO_NLS;
+fi
OpenPOWER on IntegriCloud